using Newtonsoft.Json;
using System;
using System.Collections;
using System.Numerics;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Security.Cryptography.X509Certificates;
using GrapeCity.Documents.Excel;
using GrapeCity.Documents.Excel.Expressions;
using GrapeCity.Documents.Excel.Drawing;
using System.Globalization;

namespace GrapeCity.Documents.Excel.Examples.Features.RangeOperations.AccessCellsRowsColumns
{
    class Program
    {
        static void Main(string[] args)
        {
            //create a new workbook
            var workbook = new GrapeCity.Documents.Excel.Workbook();
            workbook.Open("../../../accesscellsrowscolumns.xlsx");
            workbook.SheetChange += Workbook_SheetChange;
            IWorksheet sheet2 = workbook.Worksheets[1];
            var range2 = sheet2.Range["A5:B7"];
            range2.Cells[4].Value = 555;
            workbook.Save("accesscellsrowscolumns.xlsx");
            Console.ReadKey();
        }

        private static void Workbook_SheetChange(object sender, RangeEventArgs e)
        {
            Console.WriteLine(@"New value: " + e.Range.Value.ToString());
           // Console.WriteLine(@"event.ToJson(): " + e.Range.ToJson());
            Console.WriteLine(@"Worksheet name: " + e.Range.Worksheet.Name);
            Console.WriteLine(@"Dependent Worksheet name: " + e.Range.GetDependents()[0].Worksheet.Name);
            Console.WriteLine(@"Dependent Worksheet Value: " + e.Range.GetDependents()[0].Value);


        }
    }
}